Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-53571

Configuration-as-Code compatibility

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      The GlobalEventsPlugin plugin seems to not be compatible. There is a stacktrace (pasted below) in the YAML export when this plugin is installed.

      Jenkins version: 2.141
      OS: Debian 9.5 (official Jenkins Docker image)

      Stacktrace:

       globaleventsplugin: "FAILED TO EXPORT org.jenkinsci.plugins.globalEventsPlugin.GlobalEventsPlugin$DescriptorImpl\
       \ : \njava.lang.InstantiationException: org.jenkinsci.plugins.globalEventsPlugin.GlobalEventsPlugin$DescriptorImpl\n\
       \tat java.lang.Class.newInstance(Class.java:427)\n\tat io.jenkins.plugins.casc.impl.configurators.DescriptorConfigurator.describe(DescriptorConfigurator.java:64)\n\
       \tat io.jenkins.plugins.casc.impl.configurators.GlobalConfigurationCategoryConfigurator.describe}}
      ... 
      

        Attachments

          Issue Links

            Activity

            There are no comments yet on this issue.

              People

              • Assignee:
                renescheibe René Scheibe
                Reporter:
                ndeloof Nicolas De Loof
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated: